=== debian/changelog ===
mosquitto (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.4.0, no changes needed.
  * bug-1367.patch: fix bug with v5 DISCONNECT packets with remaining_length =
    2 being treated as a protocol error. Fixed upstream for 1.6.5 or 1.7.
  * Added override_dh_makeshlibs for catching symbol errors.
  * Add --retry to init file as per
    https://github.com/eclipse/mosquitto/issues/1117

 -- Roger A. Light <roger@atchoo.org>  Thu, 01 Aug 2019 22:51:08 +0100
